# Download TOE PDF Reports
source: https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/toe-pdf-reports/dwn-toe-rep/index.md

## Overview {#overview}

The `GET Download TOE Report` endpoint returns a TOE Report as a **base64-encoded** string that represents a PDF file. This string can be used in several ways, such as:

* In integrated applications that can convert the base64-encoded string report to a PDF format.
* Saving it in a location and viewing the report in a web browser or a PDF viewer.  

You must provide the `request_id` as the request parameter of this endpoint to download a TOE PDF report. The report automatically takes the name provided in the `report_key` parameter.
Note: You must download the requested TOE PDF reports within 24 hours of the request as the reports get deleted from the bucket and are not available for download. You would the need to request the TOE PDF reports again if not downloaded within 24 hours of the request.

### Download TOE PDF reports from the RiskRecon portal {#download-toe-pdf-reports-from-the-riskrecon-portal}

You can also download the TOE PDF reports from the **PDF/Data Downloads** tab of the vendor portfolio page in the **RiskRecon portal**.

![](https://static.developer.mastercard.com/content/riskrecon-api/uploads/toe-pdf-reports.png)

## Sequence Diagram {#sequence-diagram}

The following diagram shows how to download a TOE PDF report:
Diagram dwnld-toe-rep

## Execution Steps {#execution-steps}

The following steps describe how to download a TOE PDF report:

1. The user sends a GET request to download a TOE PDF report.
2. RiskRecon returns the TOE PDF Report as a **base64-encoded** string.

## Sample Request and Response {#sample-request-and-response}

For a sample request and response of this API, see [Get or Download TOE PDF Reports](https://developer.mastercard.com/riskrecon-api/documentation/testing/toe-pdf-rep-samples/dwnl-toe-rep-smpl/index.md).

## Use Case Example {#use-case-example}

The [Integrating cybersecurity risk data and downloading reports](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/toe-pdf-reports/dwn-toe-rep/index.md#integrating-cybersecurity-risk-data-and-downloading-reports) use case discusses how you can, as a RiskRecon alliance partner, extend the use of the `GET Download TOE Report` endpoint to your customers.

### Integrating cybersecurity risk data and downloading reports {#integrating-cybersecurity-risk-data-and-downloading-reports}

RiskRecon alliance partners can integrate RiskRecon's cybersecurity and supply chain risk data to its platforms, applications, and services using the RiskRecon APIs and allow its customers to derive further insights into their cybersecurity posture.

The alliance partners can further extend its services by allowing their customers to download TOE PDF reports from their portal using the `GET Download TOE Report` endpoint.

## Endpoint {#endpoint}


API Reference: `GET /v1/toe_reports/{request_id}/download`

